<?php
/**
 * @file
 * 
 * Default theme implementation to display a pet record from Petfinder.com.
 * For more information on the fields returned, visit:
 * 
 * http://www.petfinder.com/developers/api-docs
 * http://api.petfinder.com/schemas/0.9/petfinder.xsd
 *
 * Available variables:
 * - $pet: The complete pet record from Petfinder.com
 * - $teaser: Flag for the teaser state
 *
 * Most other standard page-level variables are also available at this level
 */

//_petfinder_dpm($variables);
?>
<div class="<?php print $classes; ?> petfinder-pet-<?php print $pet['id']; ?>">
  
  <?php if (!empty($pet['media']['photos']['photo'][0])) : ?>
  <div class="petfinder-pet-photo-main">
    <img src="<?php print $pet['media']['photos']['photo'][0]; ?>">
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['description'])) : ?>
  <div class="petfinder-pet-description">
    <?php print $pet['description']; ?>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['options'])) : ?>
  <div class="petfinder-pet-options">
    <div class="label">Options:</div>
    <div class="info"><?php print $pet['options']['option']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['mix'])) : ?>
  <div class="petfinder-pet-mix">
    <div class="label">Mix:</div>
    <div class="info"><?php print $pet['mix']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['breeds']['breed'])) : ?>
  <div class="petfinder-pet-breeds">
    <div class="label">Breeds:</div>
    <div class="info"><?php print $pet['breeds']['breed']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['status'])) : ?>
  <div class="petfinder-pet-status">
    <div class="label">Status:</div>
    <div class="info"><?php print $pet['status']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['sex'])) : ?>
  <div class="petfinder-pet-sex">
    <div class="label">Gender:</div>
    <div class="info"><?php print $pet['sex']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['age'])) : ?>
  <div class="petfinder-pet-age">
    <div class="label">Age:</div>
    <div class="info"><?php print $pet['age']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['size'])) : ?>
  <div class="petfinder-pet-size">
    <div class="label">Size:</div>
    <div class="info"><?php print $pet['size']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['animal'])) : ?>
  <div class="petfinder-pet-animal">
    <div class="label">Animal:</div>
    <div class="info"><?php print $pet['animal']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['shelterPetId'])) : ?>
  <div class="petfinder-pet-contact">
    <?php print $shelter; ?>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['shelterPetId'])) : ?>
  <div class="petfinder-pet-shelter-pet-id">
    <div class="label">Shelter Pet ID:</div>
    <div class="info"><?php print $pet['shelterPetId']; ?></div>
  </div>
  <?php endif; ?>
  
  <?php if (!empty($pet['media']['photos']['photo'])) : ?>
  <div class="petfinder-pet-media">
    <div class="label">Photos:</div>
    <div class="info">
      <?php
      for ($i = 2; $i < count($pet['media']['photos']['photo']); $i += 5) {
        print l(
          '<img src="' . $pet['media']['photos']['photo'][$i] . '">', 
          $pet['media']['photos']['photo'][$i - 2],
          array(
            'html' => TRUE,
            'attributes' => array(
              'target' => '_petfinder_photo',
            ),
          )
        );
      }
      ?>
    </div>
  </div>
  <?php endif; ?>
  
</div>
